Panda3D

Public Types | Public Member Functions | List of all members
BaseIntegrator Class Reference

pure virtual integrator class that holds cached matrix information that really should be common to any possible child implementation. More...

`#include "baseIntegrator.h"`

Inheritance diagram for BaseIntegrator:

## Public Types
typedef pvector< PT(AngularForce)> | AngularForceVector
typedef pvector< PT(LinearForce)> | LinearForceVector
typedef epvector< LMatrix4 > | MatrixVector

## Public Member Functions
virtual | ~BaseIntegrator ()
| destructor More...
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>. More...
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>. More...
virtual void | write_precomputed_angular_matrices (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>. More...
virtual void | write_precomputed_linear_matrices (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>. More...
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

pure virtual integrator class that holds cached matrix information that really should be common to any possible child implementation.

Definition at line 34 of file baseIntegrator.h.

## Constructor & Destructor Documentation

## ◆ ~BaseIntegrator()

BaseIntegrator::~BaseIntegrator | ( |  | ) |
| virtual

destructor

Definition at line 31 of file baseIntegrator.cxx.

## Member Function Documentation

## ◆ output()

void BaseIntegrator::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented in LinearIntegrator, LinearEulerIntegrator, AngularIntegrator, and AngularEulerIntegrator.

Definition at line 133 of file baseIntegrator.cxx.

## ◆ write()

void BaseIntegrator::write | ( | std::ostream & | out,
|  | int | indent = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented in LinearIntegrator, LinearEulerIntegrator, AngularIntegrator, and AngularEulerIntegrator.

Definition at line 175 of file baseIntegrator.cxx.

References indent(), write_precomputed_angular_matrices(), and write_precomputed_linear_matrices().

Referenced by AngularIntegrator::write(), and LinearIntegrator::write().

## ◆ write_precomputed_angular_matrices()

void BaseIntegrator::write_precomputed_angular_matrices | ( | std::ostream & | out,
|  | int | indent = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Definition at line 159 of file baseIntegrator.cxx.

References indent().

Referenced by write().

## ◆ write_precomputed_linear_matrices()

void BaseIntegrator::write_precomputed_linear_matrices | ( | std::ostream & | out,
|  | int | indent = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Definition at line 143 of file baseIntegrator.cxx.

References indent().

Referenced by write().

The documentation for this class was generated from the following files:

- panda/src/physics/baseIntegrator.h
- panda/src/physics/baseIntegrator.cxx
- panda/src/physics/baseIntegrator.I